Bug 51623 - up2date fails when checking dependencies on openldap updates
Summary: up2date fails when checking dependencies on openldap updates
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-13 09:16 UTC by Landon Curt Noll
Modified: 2015-01-07 23:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-28 21:50:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Landon Curt Noll 2001-08-13 09:16:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.8 i686)

Description of problem:
When one selects any of the recent openldap packages to download
(openldap-2.0.11-8) errors are printed to stderr (or stdout?) and up2date
hangs.


How reproducible:
Always

Steps to Reproduce:
1.run up2date
2.select the openssl-2.0.11-8 packges
3.
	

Actual Results:  Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date/gui.py", line 356, in onPackagePageNext
    self.__refreshCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 2085, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date/up2date.py", line 2051, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date/up2date.py", line 2018, in process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date/up2date.py", line 1951, in __dependencies
    added = self.__add(solved, check = 1)
  File "/usr/share/rhn/up2date/up2date.py", line 1885, in __add
    h_list = getHeaders(plist, refreshCallback = self.refreshCallback)
  File "/usr/share/rhn/up2date/up2date.py", line 832, in getHeaders
    ret = s.up2date.header(getSystemId(), listToFetch)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 608, in
__call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 644, in
__request
    request = dumps(params, methodname)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 482, in dumps
    data = m.dumps(params)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 251, in dumps
    self.__dump(v)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 264, in __dump
    f(self, value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 290, in
dump_array
    self.__dump(v)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 264, in __dump
    f(self, value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 286, in
dump_array
    self.container(value)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 282, in
container
    raise TypeError, "cannot marshal recursive data structures"
TypeError: cannot marshal recursive data structures
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/up2date/gui.py", line 403, in
onDependencyPagePrepare
    for pkg in self.depPackages:
AttributeError: depPackages


Expected Results:  openldap update packges are downloaded

Additional info:

Comment 1 Greg DeKoenigsberg 2002-04-28 15:54:18 UTC
Would this be solved by up2date up2date, perchance?

Comment 2 Landon Curt Noll 2002-04-28 21:50:42 UTC
It could have been fixed by an up2date up2date.  I cannot
reproduce it now.


Comment 3 Landon Curt Noll 2002-08-06 22:13:23 UTC
It looks like this has been fixed in RH7.2 and RH7.3. 
 
I am closing my bug with a resoltion of WORKSFORME.


Note You need to log in before you can comment on or make changes to this bug.